# -*- encoding: utf-8 -*-
# stub: google-cloud-speech-v1 0.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-speech-v1".freeze
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-02-24"
  s.description = "Google Speech-to-Text enables developers to convert audio to text by applying powerful neural network models in an easy-to-use API. The API recognizes more than 120 languages and variants to support your global user base. You can enable voice command-and-control, transcribe audio from call centers, and more. It can process real-time streaming or prerecorded audio, using Google's machine learning technology. Note that google-cloud-speech-v1 is a version-specific client library. For most uses, we recommend installing the main client library google-cloud-speech instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-cloud-speech-v1.rb".freeze, "lib/google/cloud/speech/v1.rb".freeze, "lib/google/cloud/speech/v1/cloud_speech_pb.rb".freeze, "lib/google/cloud/speech/v1/cloud_speech_services_pb.rb".freeze, "lib/google/cloud/speech/v1/speech.rb".freeze, "lib/google/cloud/speech/v1/speech/client.rb".freeze, "lib/google/cloud/speech/v1/speech/credentials.rb".freeze, "lib/google/cloud/speech/v1/speech/operations.rb".freeze, "lib/google/cloud/speech/v1/version.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/cloud/speech/v1/cloud_speech.rb".freeze, "proto_docs/google/longrunning/operations.rb".freeze, "proto_docs/google/protobuf/any.rb".freeze, "proto_docs/google/protobuf/duration.rb".freeze, "proto_docs/google/protobuf/empty.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze, "proto_docs/google/rpc/status.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for the Cloud Speech-to-Text V1 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
